w3hello.com logo
Home PHP C# C++ Android Java Javascript Python IOS SQL HTML videos Categories
Umbraco - error when using umbraco.library:NiceUrl(...)
Ok I found a solution: I added an extra check to this part: <!-- Return the url --> <xsl:if test="$i = $max"> <xsl:if test="$id != '' "> <xsl:value-of select="umbraco.library:NiceUrl($id)" /> </xsl:if> </xsl:if> this fixed my problem.

Categories : Xslt

In Umbraco 6.1.1 MVC 4, how can I do a form post back to a surface controller using a model that inherits from Umbraco's RenderModel?
Ok, I've had no responses to this question but am now in a position to answer it myself. Maybe it was a fundamental oversight, but not that obvious imho, and information on the Umbraco forum etc about inheriting from RenderModel is fairly limited. Essentially the answer, as was my first instinct, is to solve the original exception "No parameterless constructor defined for this object" by providing a paramaterless constructor. The difficulty is working out what to put inside the parameterless constructor for my model, since it inherits from the Umbraco RenderModel which requires an IPublishedContent instance passed to it's constructor. Luckily while browsing around I happened across this post on the Umbraco forum: http://our.umbraco.org/forum/developers/api-questions/40754-Getting-Curre

Categories : Asp Net Mvc

Umbraco MVC Implementation - View does not depend on Umbraco implementations
No you can't. Simply because all requests pass through a single action. In order to retrieve a path to a CMS-managed page, you need to use the node/content traversal the @Model provides. See here for more details on this. Edit To clarify, the author of the article is suggesting that the Umbraco implementation should be more in line with a traditional MVC implementation with little or no logic in the views. Therefore, any querying of node data should happen prior to the view (e.g. in the Mappers). So this is where you would have to retrieve the links. Umbraco's default MVC implementation forces all requests to go via a single action on a single controller. The author's implementation allows the requests to be shared across one controller per document type - which is better IMO. But it st

Categories : Asp Net Mvc

Installation Error - D/InstallAppProgress(): Installation error code: -25
Check the version number in your Manifest. If the version is less than the one on the device, you will not be able to over-install. You can install it using adb by using the -r flag. See here http://developer.android.com/tools/help/adb.html

Categories : Android

Umbraco MediaService / Umbraco MediaItem not saving
To Save media, I found this method with MediaService. However, I think it's possible another method more refined [HttpPost] public JsonResult Upload(HttpPostedFileBase file) { IMedia mimage; // Create the media item mimage = _mediaService.CreateMedia(file.FileName, <parentId>, Constants.Conventions.MediaTypes.Image); mimage.SetValue(Constants.Conventions.Media.File, file); _mediaService.Save(mimage); return Json(new { success = true}); }

Categories : C#

Gem installation error during MYSQL gem installation in ruby
You need to install mysql before installing mysql gem. Follow this link on how to install mysql on windows

Categories : Mysql

Umbraco error "Looks like there's still work to do"
I assume you are seeing the error in the database's [umbracoLog] error table? Have you just migrated your site to a new server? If so, your umbraco.config file may be missing. This is usually why you see the "Looks like ..." message, because nothing has previously been published. Also, check the permissions on the site to ensure that modify permissions have been given to the correct folders. If none of these help, one of your doc types or pages may be corrupt, meaning that when a page or pages of a particular doc type are being saved, Umbraco thinks there should be a particular property on the doc type when there isn't. Check the Umbraco logs in the database [umbracoLogs] table, and see if there is a reference to a particular doc type or page being saved. The solution here would be to

Categories : Asp Net

Could not locate Razor Host Factory type: umbraco.MacroEngines.RazorUmbracoFactory, umbraco.MacroEngines
If you are trying to host the blogengine site within a virtual directory of the Umbraco site, then you will have to amend the blogengine web.config to "remove" all the Umbraco-specific handlers and modules, as these will be inherited by the blogengine application, causing this exception because the application can't find the relevant DLLs in its bin folder. I recently had a similar problem and I have posted the web.config I used in the virtual directory below. Mine was a very simple web application, so obviously this will not work by itself in your blogengine app. You will need to add the relevant parts into your web.config file. Also, this was for a v6 Umbraco install in IIS7.5, so you may have to experiment a little. <?xml version="1.0"?> <configuration> <configSecti

Categories : Iis

XSLT Parsing error when using Umbraco GetMedia
For anyone else trying to get an image from an item in a content folder, this is how I got it to work: <xsl:for-each select="umbraco.library:GetXmlNodeById(1123)/* [@isDoc]"> <article> <!-- Store the ID --> <xsl:variable name="mediaId" select="bannerImage" /> <!-- Check the ID is numeric --> <xsl:if test="number($mediaId) &gt; 0"> <xsl:variable name="mediaNode" select="umbraco.library:GetMedia($mediaId, false())" /> <xsl:if test="string-length($mediaNode/umbracoFile) &gt; 0"> <img src="{$mediaNode/umbracoFile}" width="1822" height="600" /> <div class="contents"> <h1> <xsl:value-of select="bannerHeading1"/> </h1&g

Categories : Xslt

Umbraco MVC Error loading Partial View script
I got an error saying that the ApplicationMetaData has no definition for @Html.StateDropDownList(). When I commented that bit out of the form I got another error after going into the controller and failing to validate which said "Can only use UmbracoPageResult in the context of an Http POST when using" etc.. I found the answer I think from here basically: After the post when the Reset action is run the second time, since the modelstate is maintained, by passing a newly instantiated model, this model will inherit the model state of the model processed in the POST action (PostReset). During the second time the Reset action was called, since the token data has been corrupted along the lines somewhere the token validation fails and it never gets to the point where it retur

Categories : Asp Net Mvc

Umbraco Cms gives error "Provider must implement the class 'System.Web.Security.RoleProvider'"
I have solved the issue now. What I was doing was bit of wrong, I was adding one of the profile provider in sitemap provider's tag. Corrected tags structure is as below: <membership defaultProvider="UmbracoMembershipProvider" userIsOnlineTimeWindow="15"> <providers> <clear /> <add name="AspNetSqlMembershipProvider" type="System.Web.Security.SqlMembershipProvider" connectionStringName="DefaultConnection" enablePasswordRetrieval="false" enablePasswordReset="true" requiresQuestionAndAnswer="false" requiresUniqueEmail="false" maxInvalidPasswordAttempts="5" minRequiredPasswordLength="6" minRequiredNonalphanumericCharacters="0" passwordAttemptWindow="10" applicationName="/" /> <add name="DefaultMembershipProvider" type="System.Web.Providers.DefaultMem

Categories : Dotnet

Error Displaying Error page:Application installation Error in joomla 3.0
Looking that screen, I suppose the error is on the instance of the controller (that call the particular action) ... check if is it istantiate proprely. Also check the action calling... I suppose that is here the error..

Categories : Joomla

Umbraco 6 MVC on 1&1 (1and1) shared Windows hosting returns encoding error, appears to be related to gzip
You should probably enable gzip in your web.config <system.webServer> <httpCompression directory="%SystemDrive%inetpub tempIIS Temporary Compressed Files"> <scheme name="gzip" dll="%Windir%system32inetsrvgzip.dll"/> <dynamicTypes> <add mimeType="text/*" enabled="true"/> <add mimeType="message/*" enabled="true"/> <add mimeType="application/javascript" enabled="true"/> <add mimeType="*/*" enabled="false"/> </dynamicTypes> <staticTypes> <add mimeType="text/*" enabled="true"/> <add mimeType="message/*" enabled="true"/> <add mimeType="application/javascript" enabled="true"/> <add mimeType="*/*" enabled="false"/> </staticTypes> </ht

Categories : Asp Net Mvc

IIS installation error
What do you mean you're accessing iis? Is it via a URL? A 404 error means the server hasn't found the file it's looking for? You may need to correctly configure a default page on the server (you may need to create a page 'default.htm', or 'default.aspx' you'll need to try adding the IIS management console: go to 'add/remove programs' select 'turn windows features on or off' click '+' next to 'Internet Information Services' exp[and 'web management tools' check 'iis management console' this will install the console try again, you may find that it works locate the console (right click 'Computer' on the Start menu, select 'manage', under 'Services and Application', click 'Internet Information Services (IIS) manager Under IIS, select 'Default Document'. This will show you what documents IIS

Categories : Asp Net

Django-CMS installation error
what's OS are you using , if Ubuntu or other linux version , just create django cms clone. git clone https://github.com/divio/django-cms configure your django-cms in the setting. hope you have the command git installed.

Categories : Python

Ubuntu Installation Error
Did you include the init script into your bash_profile/bashrc? RVM installed by ruby not working?

Categories : Ruby On Rails

There was an error installation the ghost.py
You may want to try the --pre option of pip install, if you are getting this in your pip.log: Ignoring link https://pypi.python.org/packages/source/G/Ghost.py/Ghost.py-0.1b2.tar.gz#md5=53412b0c8691c3b404586c0baf47c612 (from https://pypi.python.org/simple/Ghost.py/), version 0.1b2 is a pre-release (use --pre to allow). Could not find a version that satisfies the requirement Ghost.py (from versions: 0.1a, 0.1a2, 0.1a3, 0.1b, 0.1b2)

Categories : Python

Installation error: INSTALL_FAILED_UID_CHANGED
Please see this issue - This should cover your problem :) Eclipse Installation error: INSTALL_FAILED_UID_CHANGED I've also had this problem before - te most reliable solution is to wipe the Emulator using. emulator.exe -avd myAvdName -wipe-data Greetings Christopher

Categories : Java

Yet Another Forum: Installation Error
In retrospect, paying closer attention to the sql statements and experimenting a bit could've solved the problem. http://forum.yetanotherforum.net/yaf_postsm60154_ERROR--Invalid-object-name--sys-indexes.aspx#post60154

Categories : Dotnet

Postgresql error after installation
use: $ sudo -u postgres createuser To answer your question, from the postgresql documentation: "If you wish to create a new superuser, you must connect as a superuser, not merely with CREATEROLE privilege. Being a superuser implies the ability to bypass all access permission checks within the database, so superuserdom should not be granted lightly." Given that the account you are creating is simply for granting your Rails application access, while the ability to create databases makes sense, superuser privileges is not a good idea.

Categories : Ruby On Rails

MySQL 5.6.10 installation error
http://dev.mysql.com/doc/refman/5.6/en/server-options.html#option_mysqld_log The --log option was removed in MySQL 5.6.1 (along with the log system variable). Instead, use the --general_log option to enable the general query log and the --general_log_file=file_name option to set the general query log file name. In fact, the log option has been deprecated since MySQL 5.1.29 (circa October 2008). You don't have to remove your my.cnf, but you cannot use the log option anymore. You must change it according to the instructions above, and it will work on all your other instances of MySQL 5.1 and greater.

Categories : Mysql

Node.js installation error
I was experiencing the same error message trying to install on Windows 7. I was able to fix this issue and successfully install by: changing the directory for installation. Instead of installing within my "Program Files (X86)" folder, I installed into my "Program Files" folder My suggestion is to try installing to a different directory as this solved the problem for me.

Categories : Node Js

Fedena Installation Error
The following lines are required to solve the initializer issue in config/boot.rb just before Rails.boot! class Rails::Boot def run load_initializer Rails::Initializer.class_eval do def load_gems @bundler_loaded ||= Bundler.require :default, Rails.env end end Rails::Initializer.run(:set_load_path) end end

Categories : Ruby On Rails

Error in installation/Building of Phonegap
EDIT: THIS ANSWER USES CORDOVA, NOT PHONEGAP You must tell cordova which platforms you are going to use (e.g. android) therefore, before executing command $cordova run android you must (once) execute cordova platform add android For more details, see my answer here: Phonegap How to make android build Regards, miweiss

Categories : Android

OpenPIV Installation Error
After hours and hours of searching, I've discovered that this is a problem between MinGW and Python. They don't communicate well with one another. There exists a binary package of MinGW (unofficial) that was meant for use with Python located here This fixes the problem!

Categories : Python

WKHTMLTOPDF Installation error on Ubuntu
In case anybody is having the similar issue, I got it fixed by following this article. All features are working perfectly now. Article contents: The wkhtmltopdf shell utility is used to generate PDF documents from HTML using WebKit. I’ve tried a few ruby gem wrappers that make use of wkhtmltopdf, but I’ve found that I like using the wicked_pdf gem the best. Regardless of what wrapper you use to call wkhtmltopdf, here are the steps to get wkhtmltopdf installed on Ubuntu (minor adjustments will be needed for non Debian based distributions). Remove wkhtmltopdf installed using apt-get previously (if previously installed). sudo apt-get remove --purge wkhtmltopdf Install dependencies. sudo apt-get install openssl build-essential xorg libssl-dev Download the static binary as pe

Categories : Linux

Installation Error! The package already exists
Are you using a 3rd party firmware image? The preinstalled google-play-services_lib might be signed differently from the standard one on the google play store. If the pre-installed apk is signed with non-google standard keystore, and since it is preinstalled in the system partion, the uninstallation action will fail. You cannot update it in a normal way. Try to root your device and replace all the GMS packages with standard release.

Categories : Android

Redmine installation error on Windows
Install Redmine from Zoo beta feed http://www.helicontech.com/zoo/feed-beta/ Or make the following changes to gemfile: gem "mysql2", "~> 0.3.11" to gem "mysql2", "= 0.3.11" and rename deploy_done.rb to deploy.rb And run deploy once again.

Categories : Windows

Golang: Installation directory error?
Command go GOPATH environment variable Each directory listed in GOPATH must have a prescribed structure: The src/ directory holds source code. The path below 'src' determines the import path or executable name. The pkg/ directory holds installed package objects. As in the Go tree, each target operating system and architecture pair has its own subdirectory of pkg (pkg/GOOS_GOARCH). If DIR is a directory listed in the GOPATH, a package with source in DIR/src/foo/bar can be imported as "foo/bar" and has its compiled form installed to "DIR/pkg/GOOS_GOARCH/foo/bar.a". The bin/ directory holds compiled commands. Each command is named for its source directory, but only the final element, not the entire path. That is, the command with source in DIR/sr

Categories : Go

Capybara gem installation error in Ubuntu12
I suggest you to set project dependent rvm settings. Goto to your project folder and do the following: echo "ruby-1.9.3-p448" > .ruby-version echo "myapp" > .ruby-gemset Close the console, reopen it and once again go to your project folder. Then, verify you ruby version is 1.9.3-p448 (ruby -v) and do the following: gem install bundler bundle install For more details, see this answer

Categories : Ruby On Rails

wordpress plugin installation error
I have fixed the problem hence i am answering my own question. I have downloaded the latest version of php and compiled with "--with-zlib" option.It fixed the error . I dont know why because if my previous setup is not supporting zlip than it must through "php -r 'var_dump(function_exists("gzopen"));" false but it returned true. Thanks for all the help.

Categories : PHP

owncloud installation client error
"If this module is listened there it doesn't mean that it is loaded / activated. So you or your hoster should check that the modules (pdo and pdo_mysql for example) is loaded in your php.ini."

Categories : Misc

MySQL Gem installation error on Rails
It sounds like you don't have a compiler. On a debian/ubuntu system, you can get everything you need to compile and build packages with: sudo apt-get install build-essential On Fedora/Red Hat I think it should be: sudo yum groupinstall “Development Tools”

Categories : Mysql

Error in Phone Gap Installation on windows 7
You might want to check out my blogpost "A guide to PhoneGap on Windows" about this. The tools below are at least required for PhoneGap 2.9.0. Android SDK tools Java JDK 6 or 7 Integrated Development Environment (IDE): Eclipse and Eclipse Plugin OR Android Studio (still Beta!) Cordova PhoneGap The tools below are at least required for PhoneGap 3.0.0. Android SDK tools Java JDK 6 or 7 Integrated Development Environment (IDE): Eclipse and Eclipse Plugin OR Android Studio (still Beta!) Apache Ant GitHub Node.js Cordova PhoneGap Hope it will work out for you.

Categories : Android

Sphinx Error Installation In Windows 8
It should be a simply - (a plain hyphen) In your post above, you have a unicode hyphen. Probably because you copy/pasted it from the article that used such a hyphen. Perhaps its been pasted via MSWord or similar that has auto-correct on. Try just typing the command. Not copy/pasting. Also is it easier to install in ubuntu? Not necesserily easier, because if you dont have abny more of ubuntu, then it will still be 'hard'. But in general it is 'more reliable'

Categories : PHP

XCache module installation error
Trante, Me again. Try adding the xcache.ini to the php.d directory. This may not work for you, as I have read that the xcache extension needs to be loaded before other extensions. However, I have not been able to confirm this as of today. (It is on my test agenda for my recently rolled rpm.) Anthony

Categories : PHP

Egit installation path error
This kind of warning message seems to be related to this Egit commit. This post suggests: Solution: Go to Window > Preferences > Team > Git > Configuration > System Settings Tab Click on Browse and find your git system installation. Windows example: C:Program Files (x86)Gitetcgitconfig

Categories : Eclipse

WiX Toolset - check for all installation prerequisites at once (conditional installation)
The WiX Condition element when used under a Fragment or Product element represents an entry in the LaunchCondition Table and is processed by the LaunchConditions Action. The behavior you see is a limitation of that underlying feature. Here's a blog article I wrote about this 7 years ago: Short Comings of LaunchConditions Sadly, Microsoft has never taken my recommendations for improvement. So instead of using the Condition element you'll have to write your own custom table and custom action to do the processing. I have sample code for this in InstallScript and C# but I've never written it in C/C++. Here is a stripped down example in InstallScript. Read it as pseudocode for refactoring in C/C++. You'll need to also create the custom table used by the SQL query, define and schedule

Categories : Wix

Python installation error: NumPy package
The method recommended in that tutorial works well for Unix systems. If you are on Windows you will go through a lot of trouble trying to build numpy from sources with pip. I will save you some time, follow the official recomendation and try some binary install of the recommended ones in the official Scipy website. I personally recommend you the Anaconda or the Enthought distribution.

Categories : Python

RVM error with Requirements installation failed with status:1
You're running this on Mavericks/10.9, a prerelease OS. RVM checks the OS version and then looks for ruby binary packages that match that specific OS version on the server. There aren't yet any such binary packages. If you install homebrew first, RVM should be able to get a working 1.9.3 ruby from there.

Categories : Ruby



© Copyright 2017 w3hello.com Publishing Limited. All rights reserved.